Skip to content

Get device point by id​

GET
/devices/{id}/points/{fk}

Get a specific point for device when you already know the device ID and point ID.

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

TypeAPI Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

device id

Typenumber
Required
Format"integer"
fk*

Foreign key for points

Typenumber
Required
Format"integer"

Responses​

Body (JSON)

application/json
JSON
{
"location": {
"lat": 0,
"lng": 0
},
"timestamp": "string",
"speed": 0,
"altitude": 0,
"course": 0,
"num_value": "string",
"stringValue": "string",
"sendReason": 0,
"sats": 0,
"hdop": 0,
"accuracy": 0,
"locationType": "gps",
"batteryVoltage": 0,
"batteryPct": 0,
"averageCharge": 0,
"created": "string",
"address": "string",
"alertType": 0,
"currentUsed": 0,
"gsmSignal": 0,
"correlationId": "string",
"id": 0,
"deviceId": 0
}

Playground​

Authorization
Variables
Key
Value

Samples​

cURL
JavaScript
PHP
Python